API referencePayroll
Change an employee's net pay
Applies from the next run. Runs already made keep what they paid.
Applies from the next run. Runs already made keep what they paid.
Authorization
OAuth2PasswordBearer AuthorizationBearer <token>
In: header
Path Parameters
employee_id*Employee Id
Format
uuidCookie Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
A change to what someone is paid. IN-302.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/b/v1/payroll/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08/pay" \ -H "Content-Type: application/json" \ -d '{ "net_pay_minor": 48000000 }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "employee_number": "string", "full_name": "string", "department": "string", "employment_type": "full_time", "net_pay_minor": 0, "currency": "string", "payout_method": "mobile_money", "beneficiary_id": "0a8df251-de2a-4394-bffc-6b9d9795700d", "account_identifier": "string", "country_code": "string", "status": "active", "created_at": "2019-08-24T14:15:22Z"}